PDA

View Full Version : TUMBLEWEED VLC aus packman unter Gnome sieht furchtbar aus



SF6
24-Feb-2018, 19:01
Hi,

meine Vorgehensweise nach Neuinstallation:

1. Zypper dup
2. Add packman / libdvdcss
3. Zypper ref
4. Installed codecs according to

https://forums.opensuse.org/showthread.php/523476-Multimedia-Guide-for-openSUSE-Tumbleweed

except flash...

VLC gets pulled in as well.

5. Vendor change in repo "switch all system packages"

Dann sieht VLC absolut nicht nativ aus. Schriften, Proportionen...alles falsch.
Muss wohl ein Problem mit Gnome und desssen Darstellung von QT sein. Wenn ich VLC aus den OpenSuse Repos beziehe, sieht es allerdings "normal" aus. Nur das wird wohl nicht mit den Codecs aus Packman zusammen funktionieren, oder?

Danke.

Sauerland
25-Feb-2018, 01:46
Poste einmal:

zypper se -s vlc

Tumbleweed sollte ja VLC3 haben, evtl. gibt es damit ein Problem?

SF6
25-Feb-2018, 08:49
S | Name | Type | Version | Arch | Repository
---+-------------------------------+-------------+-------------------------------+--------+------------------------
i+ | VLC | application | | noarch | (System Packages)
| libvlc-gtk0 | package | 0.6.8.20160609.6575c25-2.24 | x86_64 | Packman Repository
| libvlc-gtk0 | package | 0.6.8.20160609.6575c25-2.24 | i586 | Packman Repository
| libvlc-gtk0-debuginfo | package | 0.6.8.20160609.6575c25-2.24 | x86_64 | Packman Repository
| libvlc-gtk0-debuginfo | package | 0.6.8.20160609.6575c25-2.24 | i586 | Packman Repository
| libvlc123 | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| libvlc123 | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| libvlc123-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| libvlc123-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
i | libvlc5 | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | libvlc5 | package | 3.0.0-6.6 | i586 | Packman Repository
v | libvlc5 | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | libvlc5 | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| libvlc5-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| libvlc5-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
| libvlccore123 | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| libvlccore123 | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| libvlccore123-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| libvlccore123-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
i | libvlccore9 | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | libvlccore9 | package | 3.0.0-6.6 | i586 | Packman Repository
v | libvlccore9 | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | libvlccore9 | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| libvlccore9-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| libvlccore9-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
| nulloy-vlc | package | 0.8.2-1.15 | x86_64 | openSUSE-Tumbleweed-Oss
| nulloy-vlc | package | 0.8.2-1.15 | i586 | openSUSE-Tumbleweed-Oss
| phonon-backend-vlc | package | 0.9.1-1.1 | x86_64 | openSUSE-Tumbleweed-Oss
| phonon-backend-vlc | package | 0.9.1-1.1 | i586 | openSUSE-Tumbleweed-Oss
| phonon4qt5-backend-vlc | package | 0.9.1-1.1 | x86_64 | openSUSE-Tumbleweed-Oss
| phonon4qt5-backend-vlc | package | 0.9.1-1.1 | i586 | openSUSE-Tumbleweed-Oss
| python2-python-vlc | package | 3.0.101-1.1 | noarch | openSUSE-Tumbleweed-Oss
| python3-python-vlc | package | 3.0.101-1.1 | noarch | openSUSE-Tumbleweed-Oss
i+ | vlc | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | vlc | package | 3.0.0-6.6 | i586 | Packman Repository
v | vlc | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | vlc | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| vlc | srcpackage | 3.0.0-6.6 | noarch | Packman Repository
| vlc-beta | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta | srcpackage | 4.0.0.20180221.eaac4ae231-1.2 | noarch | Packman Repository
| vlc-beta-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-debugsource | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-debugsource | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-devel | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-devel | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-noX | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-noX | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-noX-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-noX-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-noX-lang | package | 4.0.0.20180221.eaac4ae231-1.2 | noarch | Packman Repository
| vlc-beta-qt | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-qt | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
| vlc-beta-qt-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | x86_64 | Packman Repository
| vlc-beta-qt-debuginfo | package | 4.0.0.20180221.eaac4ae231-1.2 | i586 | Packman Repository
i+ | vlc-codec-gstreamer | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | vlc-codec-gstreamer | package | 3.0.0-6.6 | i586 | Packman Repository
v | vlc-codec-gstreamer | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | vlc-codec-gstreamer | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| vlc-codec-gstreamer-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-codec-gstreamer-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
i | vlc-codecs | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | vlc-codecs | package | 3.0.0-6.6 | i586 | Packman Repository
| vlc-codecs-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-codecs-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
| vlc-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
| vlc-debugsource | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-debugsource | package | 3.0.0-6.6 | i586 | Packman Repository
| vlc-devel | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-devel | package | 3.0.0-6.6 | i586 | Packman Repository
| vlc-devel | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
| vlc-devel | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
i | vlc-lang | package | 3.0.0-6.6 | noarch | Packman Repository
v | vlc-lang | package | 3.0.0-3.1 | noarch | openSUSE-Tumbleweed-Oss
i | vlc-noX | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | vlc-noX | package | 3.0.0-6.6 | i586 | Packman Repository
v | vlc-noX | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | vlc-noX | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| vlc-noX-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-noX-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository
i | vlc-qt | package | 3.0.0-6.6 | x86_64 | Packman Repository
v | vlc-qt | package | 3.0.0-6.6 | i586 | Packman Repository
v | vlc-qt | package | 3.0.0-3.1 | x86_64 | openSUSE-Tumbleweed-Oss
v | vlc-qt | package | 3.0.0-3.1 | i586 | openSUSE-Tumbleweed-Oss
| vlc-qt-debuginfo | package | 3.0.0-6.6 | x86_64 | Packman Repository
| vlc-qt-debuginfo | package | 3.0.0-6.6 | i586 | Packman Repository



Hier der Auszug.

Das Problem (mit VLC) hat sich "von selbst" gelöst. Ich habe VLC deinstalliert, alle Pakete auf Packman umgestellt und eine weitere QT App (Keepassxc) installiert. Dann habe ich VLC installiert und jetzt sieht es "normal" aus.
Kann es sein, dass im Packman repo nicht alle nötigen dependencies dabei sind, damit VLC unter GTK nativ angezeigt werden kann?

Dieses Problem ist zwar gelöst, aber bei Texmaker ist es dasselbe. Aus den offiziellen Repos sieht alles gut aus. Aber, wenn ich versuche die (neuere) Version aus dem publishing repo zu installiereh bekomme ich dasselbe Trauerspiel wie zuvor bei VLC. Das ganze Interface wirkt wie "aufgebläht".

Danke.